reStructuredText rendering task for Phing, the PHP build tool.

PHP version 5

category | Tasks
package | phing.tasks.ext
author | Christian Weiske
license | LGPL v3 or later http://www.gnu.org/licenses/lgpl.html
link | http://www.phing.info/
copyright | 2001,2002 THYRELL. All rights reserved
version | $Id$

### Methods

## Sets up this object internal stuff.

    __construct() : object

i.e. the default mode

access | public

### Returns

`object`The rSTTask instance

## Add a set of files to be rendered.

    addFileset(\FileSet $fileset) : void

### Parameters

#### $fileset

`\FileSet`

Set of rst files to render

## Creates a filterchain, stores and returns it

    createFilterChain() : \FilterChain

### Returns

`\FilterChain`The created filterchain object

## Nested creator, creates one Mapper for this task

    createMapper() : \Mapper

### Exceptions

`\BuildException` |

### Returns

`\Mapper`The created Mapper type object

## Returns the textual description of the task

    getDescription() : string

Inherited

inherited_from | \Task::getDescription()

### Returns

`string`The text description of the task

## Returns the location within the buildfile this task occurs.

    getLocation() : \Location

Inherited

Used by BuildException to give detailed error messages.

inherited_from | \Task::getLocation()

### Returns

`\Location`The location object describing the position of this task within the buildfile.

## Returns the owning target of this task.

    getOwningTarget() : \Target

Inherited

inherited_from | \Task::getOwningTarget()

### Returns

`\Target`The target object that owns this task

## Returns a reference to current project

    getProject() : \Project

Inherited

inherited_from | \ProjectComponent::getProject()
inherited_from | \Task::getProject()

### Returns

`\Project`Reference to current porject object

## Returns the wrapper object for runtime configuration

    getRuntimeConfigurableWrapper() : \RuntimeConfigurable

Inherited

inherited_from | \Task::getRuntimeConfigurableWrapper()

### Returns

`\RuntimeConfigurable`The wrapper object used by this task

## Determines and returns the target file name from the input file and the configured destination name.

    getTargetFile(string $file, string $destination) : string

uses | \global\$format
uses | \global\$targetExt

### Parameters

#### $file

`string`

Input file

#### $destination

`string`

Destination file or directory name, may be null

### Returns

`string`Target file name

## Returns the name of task, used only for log messages

    getTaskName() : string

Inherited

inherited_from | \Task::getTaskName()

### Returns

`string`Name of this task

## Returns the name of the task under which it was invoked, usually the XML tagname

    getTaskType() : string

Inherited

inherited_from | \Task::getTaskType()

### Returns

`string`The type of this task (XML Tag)

## Init method: requires the PEAR System class

    init()

Should throw a BuildException if something goes wrong with the build

This is abstract here, but may not be overloaded by subclasses.

### Exceptions

`\BuildException` |

## Provides a project level log event to the task.

    log(string $msg, integer $level)

Inherited

see | \global\BuildEvent
see | \global\BuildListener
inherited_from | \Task::log()

### Parameters

#### $msg

`string`

The message to log

#### $level

`integer`

The priority of the message

## The main entry point method.

    main() : void

This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running phing target1 target2 will run all tasks in target3 twice.

Should throw a BuildException if someting goes wrong with the build

This is abstract here. Must be overloaded by real tasks.

## Configure this task if it hasn't been done already.

    maybeConfigure()

Inherited

inherited_from | \Task::maybeConfigure()

## Perfrom this task

    perform()

Inherited

inherited_from | \Task::perform()

## Sets a textual description of the task

    setDescription(string $desc)

Inherited

inherited_from | \Task::setDescription()

### Parameters

#### $desc

`string`

The text describing the task

## The setter for the attribute "destination"

    setDestination(string $destination) : void

### Parameters

#### $destination

`string`

Output file or directory. When it ends with a slash, it is taken as directory.

## The setter for the attribute "file"

    setFile(string $file) : void

### Parameters

#### $file

`string`

Path of file to render

## The setter for the attribute "format"

    setFormat(string $format) : void

### Parameters

#### $format

`string`

Output format

### Exceptions

`\BuildException` | When the format is not supported

## Sets the location within the buildfile this task occurs.

    setLocation(\Location $location)

Inherited

Called by the parser to set location information.

inherited_from | \Task::setLocation()

### Parameters

#### $location

`\Location`

The location object describing the position of this task within the buildfile.

## Sets the owning target this task belongs to.

    setOwningTarget(\Target $target)

Inherited

inherited_from | \Task::setOwningTarget()

### Parameters

#### $target

`\Target`

Reference to owning target

## References the project to the current component.

    setProject(\Project $project)

Inherited

inherited_from | \ProjectComponent::setProject()
inherited_from | \Task::setProject()

### Parameters

#### $project

`\Project`

The reference to the current project

## Sets the wrapper object this task should use for runtime configurable elements.

    setRuntimeConfigurableWrapper(\RuntimeConfigurable $wrapper)

Inherited

inherited_from | \Task::setRuntimeConfigurableWrapper()

### Parameters

#### $wrapper

`\RuntimeConfigurable`

The wrapper object this task should use

## Sets the name of this task for log messages

    setTaskName(string $name) : string

Inherited

inherited_from | \Task::setTaskName()

### Parameters

#### $name

`string`

### Returns

`string`A string representing the name of this task for log

## Sets the type of the task.

    setTaskType(string $name)

Inherited

Usually this is the name of the XML tag

inherited_from | \Task::setTaskType()

### Parameters

#### $name

`string`

The type of this task (XML Tag)

## The setter for the attribute "toolparam"

    setToolparam(string $param) : void

### Parameters

#### $param

`string`

Additional rst2* tool parameters

## The setter for the attribute "toolpath"

    setToolpath($path) : void

### Parameters

#### $path

### Exceptions

`\BuildException` | When the tool does not exist or is not executable

## The setter for the attribute "uptodate"

    setUptodate(string $uptodate) : void

### Parameters

#### $uptodate

`string`

True/false

## Returns a name

    getRegisterSlot(string $slotName)

Inherited

inherited_from | \Task::getRegisterSlot()

### Parameters

#### $slotName

`string`

## Finds the rst2* binary path

    getToolPath(string $format) : string

### Parameters

#### $format

`string`

Output format

### Exceptions

`\BuildException` | When the tool cannot be found

### Returns

`string`Full path to rst2$format

## Renders a single file and applies filters on it

    render(string $tool, string $source, string $targetFile) : void

### Parameters

#### $tool

`string`

conversion tool to use

#### $source

`string`

rST source file

#### $targetFile

`string`

target file name

## Renders a single file with the rST tool.

    renderFile(string $tool, string $source, string $targetFile) : void

### Parameters

#### $tool

`string`

conversion tool to use

#### $source

`string`

rST source file

#### $targetFile

`string`

target file name

### Exceptions

`\BuildException` | When the conversion fails

### Properties

##

    $description : string

Inherited

inherited_from | \Task::$$description

##

    $destination : string

May be omitted. When it ends with a slash, it is considered to be a directory

##

    $file : string

Required

##

    $filesets

##

    $filterChains : array

##

    $format : string

see | for all possible options

##

    $location : \Location

Inherited

inherited_from | \Task::$$location

##

    $mapperElement

##

    $mode : integer

##

    $project : \Project

Inherited

inherited_from | \ProjectComponent::$$project
inherited_from | \Task::$$project

##

    $supportedFormats : array

see | \global\$format
see | \global\$targetExt

##

    $target : \Target

Inherited

inherited_from | \Task::$$target

##

    $targetExt : array

##

    $taskName : string

##

    $taskType : string

Inherited

inherited_from | \Task::$$taskType

##

    $toolParam : string

##

    $toolPath : string

/usr/local/bin/rst2html

##

    $uptodate : boolean

##

    $wrapper : \RuntimeConfigurable

Inherited

inherited_from | \Task::$$wrapper